Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
Thread Contributor: DKTMétadonnées : Objectifs
#1
Bonjour,

Voilà lorsque je suis en manuel avec un objectif "ancien" le modèle de l'objectif n'est pas reconnu dans les métadonnées. Y a t'il un moyen de l'y noter?
Sous Linux Mint - Dell G5 - i7 8700K - GTX 1050ti - 16Go - SSD + DD --- Benq PD2700Q
Répondre
#2
Oui, c'est possible. Il faut pour cela ajouter une entrée dans la base de donnée Lensfun. Si tu veux de l'aide, ce serait bien que tu nous fournisse les références de ton boîtier ainsi que celles de ton objectif : constructeur, nom, focale, ouverture, etc.
Mes photos : jpverrue.fr
Répondre
#3
(05-12-18, 16:46)jpverrue a écrit : Oui, c'est possible. Il faut pour cela ajouter une entrée dans la base de donnée Lensfun. Si tu veux de l'aide, ce serait bien que tu nous fournisse les références de ton boîtier ainsi que celles de ton objectif : constructeur, nom, focale, ouverture, etc.

Merci jpverrue

Alors mon boitier est un XT20 fujifilm
En objectif, j'ai :
un Samyang 12mm F2
Un Minolta MC ROKKOR 50mm f1.4
Un Minolta MD ROKKOR 85 mm f2

Et grâce à ça je pourrais modifier mes métadonnées?
Sous Linux Mint - Dell G5 - i7 8700K - GTX 1050ti - 16Go - SSD + DD --- Benq PD2700Q
Répondre
#4
Première chose à faire chez toi : installer le paquet contenant la commande lensfun-update-data. Puis exécuter cette commande afin d'obtenir la dernière version de la BdD. Cette version contient la définition de ton X-T20, ainsi que la définition de ton Samyang 12mm f/2.
Avec ça, tu dois pouvoir trouver dans le module correction d'objectif ton boîtier ainsi que le Samyang et, cerise sur le gâteau, cet objectif est bien caractérisé en distorsion et vignettage !
Cependant, il semble que ton objectif ne dispose d'aucun contact électrique dans la monture. Il ne peut donc pas transmettre son identité au boîtier et tu devras sélectionner le couple boîtier/objectif manuellement.

Pour les vieux Minolta c'est un peu plus compliqué car il n'existent pas dans la BdD. Il faut donc les créer. S'il ne s'agit que d'avoir la méta-donnée, ce n'est pas trop compliqué. Si tu veux en plus avoir les corrections, c'est une autre histoire !

Je te propose d'abord de faire la première étape. Et de t'assurer que ça fonctionne pour le Samyang. Ensuite on essayera de créer les entrées pour les Minolta ;-)
Mes photos : jpverrue.fr
Répondre
#5
(06-12-18, 15:21)jpverrue a écrit : Première chose à faire chez toi : installer le paquet contenant la commande lensfun-update-data. Puis exécuter cette commande afin d'obtenir la dernière version de la BdD. Cette version contient la définition de ton X-T20, ainsi que la définition de ton Samyang 12mm f/2.
Avec ça, tu dois pouvoir trouver dans le module correction d'objectif ton boîtier ainsi que le Samyang et, cerise sur le gâteau, cet objectif est bien caractérisé en distorsion et vignettage !
Cependant, il semble que ton objectif ne dispose d'aucun contact électrique dans la monture. Il ne peut donc pas transmettre son identité au boîtier et tu devras sélectionner le couple boîtier/objectif manuellement.

Pour les vieux Minolta c'est un peu plus compliqué car il n'existent pas dans la BdD. Il faut donc les créer. S'il ne s'agit que d'avoir la méta-donnée, ce n'est pas trop compliqué. Si tu veux en plus avoir les corrections, c'est une autre histoire !

Je te propose d'abord de faire la première étape. Et de t'assurer que ça fonctionne pour le Samyang. Ensuite on essayera de créer les entrées pour les Minolta ;-)

décidemment je reste refractaire au codage ... Pfffff....

J'ai , je pense installé quelque chose en faisant
sudo apt install lensfun-update-data

puis j'ai tenter 
sudo apt install liblensfun-bin

la réponse est
Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet lensfun-update-data

J'ai téléchargé lensfun-0.3.95.zip
et j'ai fait
apt-get install lensfun-0.3.95.zip

E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock-frontend - open (13: Permission non accordée)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?


Bref, pourquoi est ce si compliqué? Angry
Sous Linux Mint - Dell G5 - i7 8700K - GTX 1050ti - 16Go - SSD + DD --- Benq PD2700Q
Répondre
#6
(06-12-18, 20:18)DKT a écrit :
(06-12-18, 15:21)jpverrue a écrit : Première chose à faire chez toi : installer le paquet contenant la commande lensfun-update-data. Puis exécuter cette commande afin d'obtenir la dernière version de la BdD. Cette version contient la définition de ton X-T20, ainsi que la définition de ton Samyang 12mm f/2.
Avec ça, tu dois pouvoir trouver dans le module correction d'objectif ton boîtier ainsi que le Samyang et, cerise sur le gâteau, cet objectif est bien caractérisé en distorsion et vignettage !
Cependant, il semble que ton objectif ne dispose d'aucun contact électrique dans la monture. Il ne peut donc pas transmettre son identité au boîtier et tu devras sélectionner le couple boîtier/objectif manuellement.

Pour les vieux Minolta c'est un peu plus compliqué car il n'existent pas dans la BdD. Il faut donc les créer. S'il ne s'agit que d'avoir la méta-donnée, ce n'est pas trop compliqué. Si tu veux en plus avoir les corrections, c'est une autre histoire !

Je te propose d'abord de faire la première étape. Et de t'assurer que ça fonctionne pour le Samyang. Ensuite on essayera de créer les entrées pour les Minolta ;-)

décidemment je reste refractaire au codage ... Pfffff....

J'ai , je pense installé quelque chose en faisant
sudo apt install lensfun-update-data

puis j'ai tenter 
sudo apt install liblensfun-bin

la réponse est
Lecture des listes de paquets... Fait

Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet lensfun-update-data

J'ai téléchargé lensfun-0.3.95.zip
et j'ai fait
apt-get install lensfun-0.3.95.zip

E: Impossible d'ouvrir le fichier verrou /var/lib/dpkg/lock-frontend - open (13: Permission non accordée)
E: Unable to acquire the dpkg frontend lock (/var/lib/dpkg/lock-frontend), are you root?


Bref, pourquoi est ce si compliqué? Angry

Sous Ubuntu (Linux Mint est basée dessus), c'est le paquet liblensfun-bin qui contient lensfun-update-data. Etonnant qu'il ne te donne pas.

Quels paquets ressortent si tu fais :

apt search lensfun
Répondre
#7
(06-12-18, 21:41)nicoauffray a écrit : Sous Ubuntu (Linux Mint est basée dessus), c'est le paquet liblensfun-bin qui contient lensfun-update-data. Etonnant qu'il ne te donne  pas.

Quels paquets ressortent si tu fais :

apt search lensfun
Voila le résultt:

p   gimp-lensfun                    - greffon Gimp pour corriger la distorsion o

p   gimp-lensfun:i386               - greffon Gimp pour corriger la distorsion o
i   liblensfun-bin                  - Lens Correction library - Utilities       
p   liblensfun-bin:i386             - Lens Correction library - Utilities       
i A liblensfun-data-v1              - Lens Correction library - Data            
v   liblensfun-data-v1:i386         -                                           
p   liblensfun-dev                  - bibliothèque de correction optique - fichi
p   liblensfun-dev:i386             - bibliothèque de correction optique - fichi
p   liblensfun-doc                  - Lens Correction library - Documentation   
i A liblensfun1                     - bibliothèque de correction optique - fichi
p   liblensfun1:i386                - bibliothèque de correction optique - fichi
i A python3-lensfun                 - Lens Correction library - Python3 module  
p   python3-lensfun:i386            - Lens Correction library - Python3 module


Dans darktable j'ai bien une liste d'appareil et d'objectif, mais pas de fuji XT2, XT20, ... et pas de Samyang 12mm
Sous Linux Mint - Dell G5 - i7 8700K - GTX 1050ti - 16Go - SSD + DD --- Benq PD2700Q
Répondre
#8
pourtant, dans ce fil : https://darktable.fr/forum/showthread.ph...&pid=26286, ou dans celui-ci : https://darktable.fr/forum/showthread.ph...6#pid26056, ton problème a été résolu avec les commandes que nous t'avons suggéré.
Mes photos : jpverrue.fr
Répondre
#9
(06-12-18, 21:59)DKT a écrit :
(06-12-18, 21:41)nicoauffray a écrit : Sous Ubuntu (Linux Mint est basée dessus), c'est le paquet liblensfun-bin qui contient lensfun-update-data. Etonnant qu'il ne te donne  pas.

Quels paquets ressortent si tu fais :

apt search lensfun
Voila le résultt:

p   gimp-lensfun                    - greffon Gimp pour corriger la distorsion o

p   gimp-lensfun:i386               - greffon Gimp pour corriger la distorsion o
i   liblensfun-bin                  - Lens Correction library - Utilities       
p   liblensfun-bin:i386             - Lens Correction library - Utilities       
i A liblensfun-data-v1              - Lens Correction library - Data            
v   liblensfun-data-v1:i386         -                                           
p   liblensfun-dev                  - bibliothèque de correction optique - fichi
p   liblensfun-dev:i386             - bibliothèque de correction optique - fichi
p   liblensfun-doc                  - Lens Correction library - Documentation   
i A liblensfun1                     - bibliothèque de correction optique - fichi
p   liblensfun1:i386                - bibliothèque de correction optique - fichi
i A python3-lensfun                 - Lens Correction library - Python3 module  
p   python3-lensfun:i386            - Lens Correction library - Python3 module


Dans darktable j'ai bien une liste d'appareil et d'objectif, mais pas de fuji XT2, XT20, ... et pas de Samyang 12mm

La forme d'affichage varie par rapport à ma distrib Ubuntu. Le "i" en début de ligne doit vouloir dire que le paquet est affiché. As-tu tenté de lancer la commande "lens-update-data" directement ? liblensfun-bin semble installé.
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)